# Interface AddOrUpdateEnvironmentOptions

Options for adding or updating an environment (world) in the Twinfinity Viewer. Used by TwinfinityViewer.addOrUpdateEnvironment.

interface AddOrUpdateEnvironmentOptions {
boundingInfo: BoundingInfo;
positionCameraToFitBounds?: boolean;
}

##### Index

### Properties

boundingInfo
positionCameraToFitBounds?

## Properties

### boundingInfo

boundingInfo: BoundingInfo

The bounding info of the environment (world).

### `Optional` positionCameraToFitBounds

positionCameraToFitBounds?: boolean

Position the camera so it fits the bounds provided by boundingInfo. Default is `true`. It ensures that the entire boundingInfo is visible and sets the maximum z-coordinate of the camera to a reasonable value that allows everything with boundingInfo to be visible. However if camera is moved too far away from boundingInfo then the camera will still not be able to see everything.